orte/mca/gpr/replica/functional_layer/gpr_replica_fn.h File Reference.TH "orte/mca/gpr/replica/functional_layer/gpr_replica_fn.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/replica/functional_layer/gpr_replica_fn.h \- The Open MPI general purpose registry - support functions. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'mca/ns/ns_types.h'\fP
.br
\fC#include 'mca/gpr/replica/gpr_replica.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_gpr_replica_increment_value_fn\fP (orte_gpr_addr_mode_t addr_mode, \fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_itag_t *itags, size_t num_tokens, size_t cnt, orte_gpr_keyval_t **keyvals)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_decrement_value_fn\fP (orte_gpr_addr_mode_t addr_mode, \fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_itag_t *itags, size_t num_tokens, size_t cnt, orte_gpr_keyval_t **keyvals)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_delete_entries_fn\fP (orte_gpr_addr_mode_t mode, \fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_itag_t *token_itags, size_t num_tokens, orte_gpr_replica_itag_t *key_tags, size_t num_keys)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_delete_entries_nb_fn\fP (orte_gpr_addr_mode_t addr_mode, \fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_itag_t *token_itags, size_t num_tokens, orte_gpr_replica_itag_t *key_tags, size_t num_keys)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_index_fn\fP (\fBorte_gpr_replica_segment_t\fP *seg, size_t *cnt, char ***index)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_index_nb_fn\fP (\fBorte_gpr_replica_segment_t\fP *seg, \fBorte_gpr_notify_cb_fn_t\fP cbfunc, void *user_tag)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_cleanup_job_fn\fP (\fBorte_jobid_t\fP jobid)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_cleanup_proc_fn\fP (orte_process_name_t *proc)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_put_fn\fP (orte_gpr_addr_mode_t addr_mode, \fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_itag_t *token_itags, size_t num_tokens, size_t cnt, orte_gpr_keyval_t **keyvals)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_put_nb_fn\fP (orte_gpr_addr_mode_t addr_mode, \fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_itag_t *token_itags, size_t num_tokens, size_t cnt, orte_gpr_keyval_t **keyvals, \fBorte_gpr_notify_cb_fn_t\fP cbfunc, void *user_tag)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_get_fn\fP (orte_gpr_addr_mode_t addr_mode, \fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_itag_t *tokentags, size_t num_tokens, orte_gpr_replica_itag_t *keytags, size_t num_keys, size_t *cnt, \fBorte_gpr_value_t\fP ***values)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_get_conditional_fn\fP (orte_gpr_addr_mode_t addr_mode, \fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_itag_t *tokentags, size_t num_tokens, orte_gpr_replica_itag_t *keytags, size_t num_keys, size_t num_conditions, orte_gpr_replica_itagval_t **conditions, size_t *cnt, \fBorte_gpr_value_t\fP ***values)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_get_nb_fn\fP (orte_gpr_addr_mode_t addr_mode, \fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_itag_t *tokentags, size_t num_tokens, orte_gpr_replica_itag_t *keytags, size_t num_keys, \fBorte_gpr_notify_cb_fn_t\fP cbfunc, void *user_tag)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_subscribe_fn\fP (orte_process_name_t *requestor, size_t num_subs, \fBorte_gpr_subscription_t\fP **subscriptions, size_t num_trigs, \fBorte_gpr_trigger_t\fP **trigs)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_all_fn\fP (\fBorte_buffer_t\fP *buffer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_segments_fn\fP (\fBorte_buffer_t\fP *buffer, char *segment)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_a_segment_fn\fP (\fBorte_buffer_t\fP *buffer, \fBorte_gpr_replica_segment_t\fP *seg)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_triggers_fn\fP (\fBorte_buffer_t\fP *buffer, orte_gpr_trigger_id_t start)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_subscriptions_fn\fP (\fBorte_buffer_t\fP *buffer, orte_gpr_subscription_id_t start)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_trigger\fP (\fBorte_buffer_t\fP *buffer, orte_gpr_replica_trigger_t *trig)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_subscription\fP (\fBorte_buffer_t\fP *buffer, orte_gpr_replica_subscription_t *sub)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_callbacks_fn\fP (\fBorte_buffer_t\fP *buffer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_release_segment\fP (\fBorte_gpr_replica_segment_t\fP **seg)"
.br
.RI "\fISEGMENT OPERATIONS. \fP"
.ti -1c
.RI "int \fBorte_gpr_replica_find_containers\fP (\fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_addr_mode_t addr_mode, orte_gpr_replica_itag_t *taglist, size_t num_tags)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_create_container\fP (\fBorte_gpr_replica_container_t\fP **cptr, \fBorte_gpr_replica_segment_t\fP *seg, size_t num_itags, orte_gpr_replica_itag_t *itags)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_release_container\fP (\fBorte_gpr_replica_segment_t\fP *seg, \fBorte_gpr_replica_container_t\fP *cptr)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_add_keyval\fP (orte_gpr_replica_itagval_t **ivalptr, \fBorte_gpr_replica_segment_t\fP *seg, \fBorte_gpr_replica_container_t\fP *cptr, orte_gpr_keyval_t *kptr)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_update_keyval\fP (orte_gpr_replica_itagval_t **iptr, \fBorte_gpr_replica_segment_t\fP *seg, \fBorte_gpr_replica_container_t\fP *cptr, orte_gpr_keyval_t *kptr)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_compare_values\fP (int *cmp, orte_gpr_replica_itagval_t *ival1, orte_gpr_replica_itagval_t *ival2)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_purge_itag\fP (\fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_itag_t itag)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_search_container\fP (orte_gpr_replica_addr_mode_t addr_mode, orte_gpr_replica_itag_t *itags, size_t num_itags, \fBorte_gpr_replica_container_t\fP *cptr)"
.br
.ti -1c
.RI "bool \fBorte_gpr_replica_value_in_container\fP (\fBorte_gpr_replica_container_t\fP *cptr, orte_gpr_replica_itagval_t *iptr)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_get_value\fP (void *value, orte_gpr_replica_itagval_t *ival)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_delete_itagval\fP (\fBorte_gpr_replica_segment_t\fP *seg, \fBorte_gpr_replica_container_t\fP *cptr, orte_gpr_replica_itagval_t *iptr)"
.br
.ti -1c
.RI "bool \fBorte_gpr_replica_check_itag_list\fP (orte_gpr_replica_addr_mode_t mode, size_t num_itags_search, orte_gpr_replica_itag_t *itags, size_t num_itags_entry, orte_gpr_replica_itag_t *entry_itags)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_copy_itag_list\fP (orte_gpr_replica_itag_t **dest, orte_gpr_replica_itag_t *src, size_t num_itags)"
.br
.ti -1c
.RI "void \fBorte_gpr_replica_dump_itagval_value\fP (\fBorte_buffer_t\fP *buffer, orte_gpr_replica_itagval_t *iptr)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_enter_local_subscription\fP (size_t cnt, \fBorte_gpr_subscription_t\fP **subscriptions)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_enter_local_trigger\fP (size_t cnt, \fBorte_gpr_trigger_t\fP **trigs)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_remove_local_subscription\fP (orte_gpr_replica_local_subscriber_t *sub)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_remove_local_trigger\fP (orte_gpr_replica_local_trigger_t *trig)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_record_action\fP (\fBorte_gpr_replica_segment_t\fP *seg, \fBorte_gpr_replica_container_t\fP *cptr, orte_gpr_replica_itagval_t *iptr, orte_gpr_replica_action_t action)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_check_events\fP (void)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_check_subscription\fP (orte_gpr_replica_subscription_t *sub)"
.br
.ti -1c
.RI "bool \fBorte_gpr_replica_check_notify_matches\fP (orte_gpr_addr_mode_t *addr_mode, orte_gpr_replica_subscription_t *sub, orte_gpr_replica_action_taken_t *ptr)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_check_trig\fP (orte_gpr_replica_trigger_t *trig)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_update_storage_locations\fP (orte_gpr_replica_itagval_t *new_iptr)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_construct_notify_message\fP (orte_gpr_notify_message_t *msg, orte_gpr_replica_trigger_t *trig, orte_gpr_replica_subscription_t *sub, \fBorte_gpr_value_t\fP *value)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_register_subscription\fP (orte_gpr_replica_subscription_t **subptr, orte_process_name_t *requestor, \fBorte_gpr_subscription_t\fP *subscription)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_register_trigger\fP (orte_gpr_replica_trigger_t **trigptr, orte_process_name_t *requestor, \fBorte_gpr_trigger_t\fP *trigger)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_remove_subscription\fP (orte_process_name_t *requestor, orte_gpr_subscription_id_t id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_remove_trigger\fP (orte_process_name_t *requestor, orte_gpr_trigger_id_t id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_register_callback\fP (orte_gpr_replica_subscription_t *sub, \fBorte_gpr_value_t\fP *value)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_register_trigger_callback\fP (orte_gpr_replica_trigger_t *trig)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_define_callback\fP (\fBorte_gpr_notify_msg_type_t\fP msg_type, orte_gpr_replica_callbacks_t **cbptr, orte_process_name_t *recipient)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_process_callbacks\fP (void)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_purge_subscriptions\fP (orte_process_name_t *proc)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_store_value_in_msg\fP (orte_gpr_replica_requestor_t *req, orte_gpr_notify_message_t *msg, size_t cnt, \fBorte_gpr_value_t\fP **values)"
.br
.in -1c
.SH "Detailed Description"
.PP 
The Open MPI general purpose registry - support functions. 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
